/****** Object:  View [dbo].[CMSA_BoltsGaskets]    Script Date: 09/16/2015 08:09:26 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO




CREATE VIEW [dbo].[CMSA_BoltsGaskets]
AS
SELECT Distinct  CMSA_ComponentRegistry.EntityHandle, CMSA_ComponentRegistry.ModelID, CMSA_ComponentRegistry.PnPClassName,
					min(GasketProperties.PartSizeLongDesc) AS GasketDescription, min(BoltProperties.PartSizeLongDesc) as BoltSetDescription
			FROM         CMSA_ComponentRegistry left outer JOIN
                      PnPDataLinks_PNP AS DataLinkTable ON CMSA_ComponentRegistry.PnPID = DataLinkTable.RowId left outer JOIN
                      PnPDataLinks_PNP AS BoltsGaskets ON (DataLinkTable.DwgHandleLow = BoltsGaskets.DwgHandleLow) left outer JOIN
                      Gasket_PNP AS GasketProperties ON BoltsGaskets.RowId = GasketProperties.PnPID left outer JOIN
                      BoltSet_PNP AS BoltProperties ON BoltsGaskets.RowId = BoltProperties.PnPID 
                      where ((GasketProperties.PartSizeLongDesc is not null) OR (BoltProperties.PartSizeLongDesc is not null))
                      AND (EntityHandle = CMSA_ComponentRegistry.EntityHandle ) AND ( CMSA_ComponentRegistry.PnPClassName = 'P3dConnector')
                      group by CMSA_ComponentRegistry.EntityHandle, CMSA_ComponentRegistry.PnPClassName
                      , CMSA_ComponentRegistry.ModelID
                      
--ORDER BY 1

/*STUFF((SELECT Distinct  CHAR(13)  + 
                      GasketBoltProperties.LongDescr
FROM         (SELECT Distinct  CMSA_ComponentRegistry.EntityHandle , DataLinkTable.DwgHandleLow,
					coalesce (GasketProperties.PartSizeLongDesc, COALESCE(BoltProperties.PartSizeLongDesc, null)) as LongDescr
			FROM         CMSA_ComponentRegistry left outer JOIN
                      PnPDataLinks_PNP AS DataLinkTable ON CMSA_ComponentRegistry.PnPID = DataLinkTable.RowId left outer JOIN
                      PnPDataLinks_PNP AS BoltsGaskets ON (DataLinkTable.DwgHandleLow = BoltsGaskets.DwgHandleLow) left outer JOIN
                      Gasket_PNP AS GasketProperties ON BoltsGaskets.RowId = GasketProperties.PnPID left outer JOIN
                      BoltSet_PNP AS BoltProperties ON BoltsGaskets.RowId = BoltProperties.PnPID 
                      where ((GasketProperties.PartSizeLongDesc is not null) OR (BoltProperties.PartSizeLongDesc is not null))
                      AND EntityHandle = CMSA_ComponentRegistry.EntityHandle 
                      group by CMSA_ComponentRegistry.EntityHandle , DataLinkTable.DwgHandleLow,
                      GasketProperties.PartSizeLongDesc, BoltProperties.PartSizeLongDesc) as GasketBoltProperties
FOR XML PATH('')), 1, 1, '') as LongDescr
*/



GO


